{% extends 'base.html' %}

{% block head %}
	<link
		rel="stylesheet"
		type="text/css"
		href="{{ url_for('static', filename='css/select2.min.css') }}"
	>
	
	<link
		rel="stylesheet"
		type="text/css"
		href="{{ url_for('static', filename='css/result_archetype.css') }}"
	>
	<link
		rel="stylesheet"
		type="text/css"
		href="{{ url_for('static', filename='fonts/open-sans/style.css') }}"
	>
	<link
		rel="stylesheet"
		type="text/css"
		href="{{ url_for('static', filename='fonts/bebas-neue/style.css') }}"
	>
	
	<script
		type="text/javascript"
		src="{{ url_for('static', filename='js/jquery.js') }}"
	></script>
	<script
		type="text/javascript"
		src="{{ url_for('static', filename='js/select2.min.js') }}"
	></script>
	<script
		type="text/javascript"
		src="{{ url_for('static', filename='js/js.cookie.min.js') }}"
	></script>
	
	<script
		type="text/javascript"
		src="{{ url_for('static', filename='js/result_archetype.js') }}"
	></script>
{% endblock %}

{% block current_page %}
	Jsi
	{{ secondary_archetype["referers"][gender] }}
	{{ primary_archetype["names"][gender] }}
	!
{% endblock %}

{% block description %}{{ primary_archetype["descriptions"][gender] }}{% endblock %}

{% block content %}
	<main>
		<div
			id="initial-result"
			style="background-color:{{ primary_archetype["result-background"] }}"
		>
			<div id="result-header-container">
				<div class="image-area">
					<img
						id="image"
						width="300"
						height="300"
						src="{{ url_for('static', filename='images/types/' + primary_slug + '.svg') }}"
						alt="Ikona {{ primary_archetype["names"][gender] }}"
					>
				</div>
				<div class="description-area">
					<div id="heading-container">
						<div id="heading">
							<h1>Jsi {{ secondary_archetype["referers"][gender] }} {{ primary_archetype["names"][gender].lower() }}!</h1>
							<h2>Přesně v souladu s Piráty.</h2>
						</div>
					</div>
					
					<h2>
						Což je kombinace dvou archetypů - první je {{ primary_archetype["names"][gender] }}.
					</h2>
					
					<p>
						{{ primary_archetype["descriptions"][gender]|safe }}
					</p>
					
					<h2>A druhý je {{ secondary_archetype["names"][gender] }}.</h2>
					
					<p>
						{{ secondary_archetype["descriptions"][gender]|safe }}
					</p>
				</div>
			</div>
			
			<a
				href="#blizsi-info"
			>
				<img
					id="down-arrow"
					src="{{ url_for('static', filename='images/down-arrow.svg') }}"
					width="40"
				>
			</a>
		</div>
		
		<div id="blizsi-info">
			<div id="blizsi-info-top">
				<h2 id="blizsi-info-header">A tady jsou Piráti, kteří ti nejvíc sednou.</h2>
				
				<select id="district">
					<option
						value="none"
						{% if district is none %}selected{% endif %}
					>Podle oblasti</option>
					
					{% for region in config["REGIONS"].values() %}
						<optgroup label="{{ region['name'] }}">
							{% for district_slug in region["districts"] %}
								<option
									value="{{ district_slug }}"
									{% if district_slug == district %}selected{% endif %}
								>{{ config["DISTRICTS"][district_slug]["name"] }}</option>
							{% endfor %}
						</optgroup>
					 {% endfor %}
				</select>
			</div>
			
			{% if closest_candidates|length == 0 and closest_district_candidates|length == 0 %}
				<p>
					Ať se to stalo jakkoliv, bohužel jsme žádné nenašli.<br>
					Možná od nich ještě nemáme odpovědi.
				</p>
			{% else %}
				<ul id="candidates">
					{% macro render_candidates(candidates) -%}
						{%
							for candidate
							in candidates
						%}
							<li class="candidate">
								<img
									class="candidate-avatar"
									alt="Obrázek kandidáta {{ candidate['name'] }}"
									src="{% if path_exists('../static/images/people/' + candidate['slug'] + '.webp') %}
										{{ url_for('static', filename='images/people/' + candidate['slug'] + '.webp') }}
									{% else %}
										https://a.pirati.cz/common/img/people/unknown-pirate.svg
									{% endif %}"
								>
								
								<div class="candidate-info">
									<h3 class="candidate-name">{{ candidate['name'] }}</h3>
									
									<div class="candidate-bottom-info">
										<h4 class="candidate-archetype">
											{% set has_secondary = candidate["secondary_archetype"] is not none %}
											
											{% if has_secondary %}
												{{
													config
													["ARCHETYPES"]
													[candidate["secondary_archetype"]]
													["referers"]
													[candidate.get("gender", "neutral")]
												}}
											{% endif %}
											
											{% set
												primary_desc = (
													config
													["ARCHETYPES"]
													[candidate["primary_archetype"]]
													["names"]
													[candidate.get("gender", "neutral")]
												)
											%}
											
											{% if has_secondary %}
												{{ primary_desc.lower() }}
											{% else %}
												{{ primary_desc }}
											{% endif %}
										</h4>
										
										<h4 class="candidate-location">
											{{
												config
												["DISTRICTS"]
												[candidate["district"]]
												["name"]
											}}
											
											-
											
											{{
												config
												["REGIONS"]
												[
													config
													["DISTRICTS"]
													[candidate["district"]]
													["region"]
												]
												["name"]
											}}
										</h4>
										
										{% if candidate["description"] != "" %}
											<p class="candidate-description">
												{{ candidate["description"] }}
											</p>
										{% endif %}
									</div>
								</div>
							</li>
						{% endfor %}
					{% endmacro -%}
					
					{% if closest_district_candidates|length != 0 %}
						<h3>Z tvé oblasti</h3>
						
						{{ render_candidates(closest_district_candidates) }}
						
						<h3>Z celého Česka</h3>
					{% else %}
						{% if district is not none %}
							<p>
								<b>Bohužel, z tvojí oblasti jsme nikoho nenašli.</b> Tady máš aspoň ostatní Piráty a Pirátky.
							</p>
						{% endif %}
					{% endif %}
					
					{{ render_candidates(closest_candidates) }}
				</ul>
			{% endif %}
			
			<div id="bottom-buttons">
				<a
					href="{{ url_for('calculator.index') }}"
					id="restart"
				><img
					alt="Restartovat"
					src="{{ url_for('static', filename='images/retry.svg') }}"
					width="30"
				></a>
			</div>
		</div>
	</main>
{% endblock %}
